# Site-Specific Theming

### Overview

Site-specific theming is a Launcher feature that customizes the appearance of the device UI by adding a logo, choosing background colors, and setting an accent color specific to one store or site. With this feature, organizations can customize the appearance of their device's screen to match their needs and preferences. It provides a tailored visual experience depending on where the device is being used.

### User Guide

The Site-Specific Theming feature can be enabled or disabled within the Launcher configuration. If the `"theme"` parameter `"enable"` is set to `true` (the default value), the device will enable theme support, including the option of setting `"altThemes"` objects for different sites.

The Launcher will determine which if any of the alternative theme objects match up to the siteTheme column on the device's sitelist.csv file. If no alternative themes match, the Launcher will default to the primary `"theme"` object.

### Feature Configuration

Example:

```json
"theme" : {
    "enable": true,
    "logo": "/sdcard/Download/ems/defaultlogo.png",
    "wallpaperImage": "/sdcard/Download/ems/defaultwallpaper.png",
    "darkTheme": true,
    "accentColor": "#00FFFF",
    "folderBackgroundColor": "#000000"
}, 
"altThemes": {
    "mainline_store": {
        "enable": true,
        "logo": "/sdcard/Download/ems/logo1.png",
        "wallpaperImage": "/sdcard/Download/ems/wallpaper1.png",
        "darkTheme": true,
        "accentColor": "#C089E0"
      },
    "subsidiary_store": {
        "enable": true,
        "logo": "/sdcard/Download/ems/logo2.png",
        "wallpaperImage": "/sdcard/Download/ems/wallpaper2.png",
        "darkTheme": false,
        "accentColor": "#89CFF0"
    }
}
```

For devices with the theming configuration above and the sitelist.csv below, those at site 4001 would use the default theme, while devices at sites 1001 and 3001 would use the `"mainline_store"` alternative theme, and devices at site 2001 would use the `"subsidiary_store"` alternative theme.

```csv
siteid,sitename,latitude,longtitude,iprange,subnet,apmacaddress,siteTheme
1001,Alpharetta GA,34.159579,-84.239605,,,,mainline_store
2001,Hickory Flat GA,34.167373,-84.330806,,,,subsidiary_store
3001,Milton GA,34.073189,-84.293763,,,,mainline_store
4001,Atlanta GA,33.782380,-84.386625,,,,standalone_store
```

Please see the documentation on [Site Information Service](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/site-information-service) for more details on applying sitelists to devices.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/theming/site-specific-theming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
